extends layout

block additionalStyles
  link(rel='stylesheet', href='/stylesheets/set_person.css')

mixin personForm(person, actionUrl)
    form(action=actionUrl method="post")
        div.form-group
            label(for="name") Name:
            input(type="text" id="name" name="name" value=(person ? person.name : ''))
        
        div.form-group
            label(for="title") Title:
            input(type="text" id="title" name="title" value=(person ? person.title : ''))

        div.form-group
            label(for="bio") Bio:
            textarea(id="bio" name="bio")= person ? person.bio : ''

        div.form-group
            label(for="location") Location
            input(type="text" id="location" name="location" value=(person ? person.location : ''))

        div.form-group
            label(for="timezone") Timezone
            input(type="text" id="timezone" name="timezone" value=(person ? person.timezone : ''))

        div.form-group
            label(for="timeAtCompany") Time at Company
            input(type="text" id="timeAtCompany" name="timeAtCompany" value=(person ? person.time_at_company : ''))


        div.form-group
            label(for="skills") Skills:
            input(type="text" id="skills" name="skills" value=(person ? person.skills : ''))

        div.form-group
            label(for="languages") Languages:
            input(type="text" id="languages" name="languages" value=(person ? person.languages : ''))

        button(type="submit" class='update-button')= person ? 'Update' : 'Add'

        a(href=`/people/${person ? person.id : ''}`, class='cancel-button') Cancel


block content
    section
        if person
            h1 Edit Person
            +personForm(person, "/people/" + person.id + "/edit")
        else
            h1 Add New Person
            +personForm(null, "/people/new")
